Bug 1417221 - [RFE] Deprecate Panko
Summary: [RFE] Deprecate Panko
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-panko
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: Upstream M1
: 12.0 (Pike)
Assignee: Pradeep Kilambi
QA Contact: Sasha Smolyak
URL:
Whiteboard:
Depends On:
Blocks: 1442136
TreeView+ depends on / blocked
 
Reported: 2017-01-27 15:14 UTC by Julien Danjou
Modified: 2020-02-06 07:23 UTC (History)
12 users (show)

Fixed In Version: openstack-panko-2.0.1-0.20170428132720.89a6baf.el7ost
Doc Type: Deprecated Functionality
Doc Text:
The Panko service is officially deprecated in OpenStack version 12. Support for panko will be limited to usage from cloudforms only. We do not recommend using panko outside of the cloudforms use case.
Clone Of:
Environment:
Last Closed: 2017-12-13 21:04:11 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 459822 'None' MERGED Add deprecation warning to api 2020-06-30 15:28:47 UTC
OpenStack gerrit 460230 'None' MERGED Add deprecation notes for panko service 2020-06-30 15:28:47 UTC
Red Hat Product Errata RHEA-2017:3462 normal SHIPPED_LIVE Red Hat OpenStack Platform 12.0 Enhancement Advisory 2018-02-16 01:43:25 UTC

Description Julien Danjou 2017-01-27 15:14:09 UTC
Panko is barely maintained upstream and offer no interesting feature. Plus, it does not scale. The feature it offers can be achieve by using Gnocchi and Aodh.
Therefore Panko should be deprecated in OSP as of OSP12.

(there's no openstack-panko component there so setting to openstack-ceilometer for now)

Comment 11 errata-xmlrpc 2017-12-13 21:04:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:3462


Note You need to log in before you can comment on or make changes to this bug.